#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from data import candidates
from collections import defaultdict

counts = {
	'AV': defaultdict(int),
	'EV': defaultdict(int),
	'OF': defaultdict(int),
}

for bureau in ['vt1', 'vt2', 'vt3']:
	data = '../' + bureau + '.tsv'
	data = open(data)


	columns = next(data)
	columns = columns.split()

	for line in data:
		words = line.split()
		for c in ['AV', 'EV', 'OF']:
			n = words[columns.index(c)]
			counts[c][n] += 1

print(counts)

for k in counts:
	a, n = 0., 0
	for v in counts[k]:
		if v == 'NSPP':
			continue
		c = counts[k][v]
		a += float(v)*c
		n += c
	print(k, a/n)
